# VectorNav C++ Library: vn::xplat::Event Class Reference

vn::xplat::Event Class Reference

Represents a cross-platform event. More...

`#include <event.h>`

Inheritance diagram for vn::xplat::Event:

## Public Types

enum | WaitResult { WAIT_SIGNALED, WAIT_TIMEDOUT }
| Available wait results. More...

## Public Member Functions

| Event ()
| Creates a new event.
void | wait ()
| Waits for a signal on this event. More...
WaitResult | waitUs (uint32_t timeoutUs)
| Waits for a signal on this event for the specified amount of time. More...
WaitResult | waitMs (uint32_t timeoutMs)
| Waits for a signal on this event for the specified amount of time. More...
void | signal ()
| Signals the event.

## Detailed Description

Represents a cross-platform event.

## Member Enumeration Documentation

enum vn::xplat::Event::WaitResult

Available wait results.

Enumerator
WAIT_SIGNALED | The event was signalled.
WAIT_TIMEDOUT | Timed out while waiting for the event to signal.

## Member Function Documentation

void vn::xplat::Event::wait | ( |  | ) |

Waits for a signal on this event.

This method will wait indefinitely for the event.

WaitResult vn::xplat::Event::waitMs | ( | uint32_t | timeoutMs | ) |

Waits for a signal on this event for the specified amount of time.

Parameters

  [in] | timeoutMs | The amount of time to wait in milliseconds.

Returns
  The result of the wait operation.

WaitResult vn::xplat::Event::waitUs | ( | uint32_t | timeoutUs | ) |

Waits for a signal on this event for the specified amount of time.

Parameters

  [in] | timeoutUs | The amount of time to wait in microseconds.

Returns
  The result of the wait operation.

The documentation for this class was generated from the following file:

- include/vn/event.h